module Upkey
  module Chatterly
    module Accessor
      def self.get_message(client, key, id)
        raise ChatterlyArgumentError unless key == :topic || key == :response

        instance_information(client, key, id)
        access_chatterly('messages')
      end

      def self.get_resp(client, message)
        id = JSON.parse(message)['id']
        instance_information(client, :message, id)

        access_chatterly('responses')
      end

      private

      class << self
        def access_chatterly(route)
          @client.conn.get "/api/#{@key.to_s}s/#{@id}/#{route}", access_params
        end

        def access_params
          { access_key: @client.access_key }
        end

        def instance_information(client, key, id)
          @client = client
          @key = key
          @id = id
        end
      end
    end
  end
end
