module Upkey
  module Chatterly
    class Response
      attr_reader :message, :responses

      def initialize(message, responses)
        return empty_set unless message.status == 200 || responses.status == 200

        @message = JSON.parse(message.body)
        @responses = JSON.parse(responses.body)
        @status = 200
      end

      private

      def empty_set
        @message = {}
        @responses = {}
      end
    end
  end
end
