module Upkey
  module Chatterly
    module Urls
      module Builder
        def self.post_url(url, client)
          @url = url
          @client = client

          access_chatterly
        end

        private

        class << self
          def access_chatterly
            resp = @client.conn.post '/api/shortened_urls', url_params
            Upkey::Chatterly::Urls::Response.new(resp)
          end

          def url_params
            {
              shortened_url: {
                url: @url
              },
              access_key: @client.access_key
            }
          end
        end
      end
    end
  end
end
